@import "../../../../scss/variables.scss";
@import "../../../../../node_modules/bulma/sass/utilities/_all.sass";

::placeholder {
  color: $grey-dark-color;
  opacity: 1;
}

.research-input {
  width: 100%;
  height: 100%;
  min-width: 20rem;
  input {
    font-size: 0.875rem;
  }
}

@media screen and (max-width: $desktop) {

  .research-input {
    min-width: unset;
  }
}

.autocomplete-items {
  position: absolute;
  border: 0.0625rem solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  background-color: white;

  /* position the autocomplete items to be the same width as the container: */
  top: 100%;
  left: 0;
  right: 0;
}

.autocomplete-items p {
  font-size: 0.875rem;
  padding: 0.3125rem;
  padding-left: 1rem;
  cursor: pointer;
  background-color: #fff;
  border-bottom: 0.0625rem solid #d4d4d4;

  &:first-of-type {
    border-top: 0.0625rem solid #d4d4d4;
  }
}

.autocomplete-items p:hover,
.autocomplete-items p.isActive {
  /* when hovering an item: */
  background-color: #dee6ee;
}

.search-bar {
  height: 34px;

  .field {
    height: 100%;

    .button,
    .input,
    .reset-research-icon {
      height: 100%;
    }

    .reset-research-icon {
      cursor: pointer;
      pointer-events: auto;

      i {
        font-size: 0.875rem;
      }
    }
  }

  input {
    text-overflow: ellipsis;
    box-shadow: none;
    border: 1px solid #dbdbdb;
    &:active,
    &:hover {
      border: 1px solid $grey-super-light-color;
    }
  }
}
